{% extends "base.html" %}

{% block title %}
    To Do Lists
{% endblock title %}

{% block content %}
<main>
    <div>
        <h1>My Lists</h1>
        <div>
            <p>
                <a href="{% url "todo_list_create" %}">Create a new list</a>
            </p>
            <p>
                <a href="{% url "todo_item_create" %}">Create a new item</a>
            </p>
        </div>
        <table>
            <thead>
                <th>Name</th>
                <th>Number of items</th>
            </thead>
            <tbody>
                {% for list in lists %}
                    <tr>
                        <td>
                            <a href="{% url "todo_list_detail" list.id %}">{{ list.name }}</a>
                        </td>
                        <td>{{ list.items.count }}</td>
                    </tr>
                {% endfor %}
            </tbody>
        </table>
    </div>
</main>
{% endblock content %}
